import { Link, usePage } from "@inertiajs/react";
import Logo from "@/Components/Logo/Logo";

export default function Header() {
    const user = usePage().props.auth.user;

    return (
        <div className="flex justify-between items-center py-3">
            <div className="flex justify-start items-center">
                <Link href={route('home')}>
                    <Logo />
                </Link>

                <div className="ms-3">
                    <p className="font-bold text-sm text-text-white">Olá {user?.name.split(' ')[0]},</p>
                    <p className="text-sm">Seja bem-vindo!</p>
                </div>
            </div>

            <div className="flex items-center">
                <Link href={route('settings')} className="me-3 animate-spin spin-slow">
                    <i className="bi bi-gear-wide-connected text-text-primary hover:text-text-white text-2xl"></i>
                </Link>

                <Link href={route('logout')} method="post" as="button" className="bg-danger hover:opacity-90 w-9 h-9 rounded-lg">
                    <i className="bi bi-door-open text-text-white"></i>
                </Link>
            </div>
        </div>
    );
}